.AUTODEPEND

.PATH.obj = ..\..\LIB

#		*Translator Definitions*
CC = bcc +TVNO.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = C:\BC\LIB
INCLUDEPATH = ..\..\INCLUDE;C:\BC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


LIB_dependencies =  \
 syserr.obj \
 tscreen.obj \
 drivers.obj \
 drivers2.obj \
 swapst.obj \
 tevent.obj \
 sysint3.obj \
 hardware.obj \
 tvwriteb.obj \
 tgrmv.obj

#		*Explicit Rules*
..\..\lib\tvno.lib: tvno.cfg $(LIB_dependencies)
  - del ..\..\lib\tvno.lib
  $(TLIB) $< /P64 @&&|
-+..\..\lib\syserr.obj &
-+..\..\lib\tscreen.obj &
-+..\..\lib\drivers.obj &
-+..\..\lib\drivers2.obj &
-+..\..\lib\swapst.obj &
-+..\..\lib\tevent.obj &
-+..\..\lib\sysint3.obj &
-+..\..\lib\hardware.obj &
-+..\..\lib\tvwriteb.obj &
-+..\..\lib\tgrmv.obj
|


#		*Individual File Dependencies*
syserr.obj: tvno.cfg syserr.cpp 

tscreen.obj: tvno.cfg tscreen.cpp 

drivers.obj: tvno.cfg drivers.cpp 

drivers2.obj: tvno.cfg drivers2.cpp 

swapst.obj: tvno.cfg swapst.asm 
	$(TASM) /MX /ZI /O SWAPST.ASM,..\..\LIB\SWAPST.OBJ

tevent.obj: tvno.cfg tevent.cpp 

sysint3.obj: tvno.cfg sysint3.asm 
	$(TASM) /MX /ZI /O SYSINT3.ASM,..\..\LIB\SYSINT3.OBJ

hardware.obj: tvno.cfg hardware.asm 
	$(TASM) /MX /ZI /O HARDWARE.ASM,..\..\LIB\HARDWARE.OBJ

tvwriteb.obj: tvno.cfg tvwriteb.asm 
	$(TASM) /MX /ZI /O TVWRITEB.ASM,..\..\LIB\TVWRITEB.OBJ

tgrmv.obj: tvno.cfg tgrmv.asm 
	$(TASM) /MX /ZI /O TGRMV.ASM,..\..\LIB\TGRMV.OBJ

#		*Compiler Configuration File*
tvno.cfg: tvno.mak
  copy &&|
-ml
-2
-f287
-B
-H=TVNO.SYM
-wpro
-weas
-wpre
-n..\..\LIB
-I$(INCLUDEPATH)
-L$(LIBPATH)
| tvno.cfg


